package exec

import "os/exec"

type MockExecIpl struct {
	Data struct {
		Cmd *exec.Cmd
	}
}

func (this *MockExecIpl) SetCmd(cmd *exec.Cmd) {
	this.Data.Cmd = cmd
}

func (this *MockExecIpl) Command(name string, arg ...string) *exec.Cmd {
	return this.Data.Cmd
}
